Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.extract
Class DocumentExtraction

    java.lang.Object
      cc.mallet.extract.DocumentExtraction

All Implemented Interfaces:
  java.io.Serializable

    public class DocumentExtraction

extends java.lang.Object
implements java.io.Serializable

Created: Oct 12, 2004

Version:
  $Id: DocumentExtraction.java,v 1.1 2007/10/22 21:37:44 mccallum Exp $
Author:
  Serialized Form

Constructor Summary
`DocumentExtraction(java.lang.String name, LabelAlphabet dict, Tokenization input, LabeledSpans predictedSpans, LabeledSpans trueSpans, java.lang.String background)`
`DocumentExtraction(java.lang.String name, LabelAlphabet dict, Tokenization input, Sequence predicted, Sequence target, java.lang.String background)`
`DocumentExtraction(java.lang.String name, LabelAlphabet dict, Tokenization input, Sequence predicted, Sequence target, java.lang.String background, TokenizationFilter filter)`
`DocumentExtraction(java.lang.String name, LabelAlphabet dict, Tokenization input, Sequence predicted, java.lang.String background)`

Method Summary
`Label` | `getBackgroundTag()`
`java.lang.Object` | `getDocument()`
`LabeledSpans` | `getExtractedSpans()`
`Tokenization` | `getInput()`
`java.lang.String` | `getName()`
`Sequence` | `getPredictedLabels()`
`LabelSequence` | `getTarget()`
`LabeledSpans` | `getTargetSpans()`
`int` | `size()`
`Span` | `subspan(int start, int end)`
`org.jdom.Document` | `toXmlDocument()`
`org.jdom.Document` | `toXmlDocument(java.lang.String rootEltName, org.jdom.Namespace ns)`
`java.lang.String` | `toXmlString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentExtraction

    public DocumentExtraction(java.lang.String name,
                              LabelAlphabet dict,
                              Tokenization input,
                              Sequence predicted,
                              java.lang.String background)

### DocumentExtraction

    public DocumentExtraction(java.lang.String name,
                              LabelAlphabet dict,
                              Tokenization input,
                              Sequence predicted,
                              Sequence target,
                              java.lang.String background)

### DocumentExtraction

    public DocumentExtraction(java.lang.String name,
                              LabelAlphabet dict,
                              Tokenization input,
                              Sequence predicted,
                              Sequence target,
                              java.lang.String background,
                              TokenizationFilter filter)

### DocumentExtraction

    public DocumentExtraction(java.lang.String name,
                              LabelAlphabet dict,
                              Tokenization input,
                              LabeledSpans predictedSpans,
                              LabeledSpans trueSpans,
                              java.lang.String background)

Method Detail

### getDocument

    public java.lang.Object getDocument()

### getInput

    public Tokenization getInput()

### getPredictedLabels

    public Sequence getPredictedLabels()

### getExtractedSpans

    public LabeledSpans getExtractedSpans()

### getTargetSpans

    public LabeledSpans getTargetSpans()

### getTarget

    public LabelSequence getTarget()

### getName

    public java.lang.String getName()

### getBackgroundTag

    public Label getBackgroundTag()

### subspan

    public Span subspan(int start,
                        int end)

### toXmlDocument

    public org.jdom.Document toXmlDocument()

### toXmlDocument

    public org.jdom.Document toXmlDocument(java.lang.String rootEltName,
                                           org.jdom.Namespace ns)

### toXmlString

    public java.lang.String toXmlString()

### size

    public int size()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD